# StandardPrincipal | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- StandardPrincipal

## Index

### Properties

- address
- prefix
- type

## Properties

### Readonly address

address: Address

- Defined in packages/transactions/src/types.ts:246

### Readonly prefix

prefix: Standard

- Defined in packages/transactions/src/types.ts:245

### Readonly type

type: Principal

- Defined in packages/transactions/src/types.ts:244

Generated using TypeDoc